---
title: Receiving payments from Sponsors for Companies
shortTitle: Sponsors for Companies
intro: 'To accept payments from the Sponsors for Companies service, you must accept some additional terms.'
allowTitleToDifferFromFilename: true
versions:
  fpt: '*'
  ghec: '*'
type: how_to
topics:
  - Sponsors
  - Open Source
---

{% data reusables.sponsors.beta-note-sponsors-for-companies %}

## About the Sponsors for Companies service

When you create a sponsors profile, you become eligible for sponsorship payments from individual users and organizations who are billed by credit card. In addition, {% data variables.product.company_short %} now offers a Sponsors for Companies service to enterprise customers who pay by invoice, including companies who use {% data variables.product.prodname_ghe_server %} or {% data variables.product.prodname_ghe_managed %}.

 The funds you receive under the Sponsors for Companies service come directly from {% data variables.product.company_short %}, and your participation in this service is subject to separate terms: the "GitHub Maintainer Additional Terms for Optional Data Provision". If you wish to receive funds from {% data variables.product.company_short %} under the Sponsors for Companies service, you'll need to complete the agreement before receiving any of those funds.

## About the additional terms

The "GitHub Maintainer Additional Terms for Optional Data Provision" agreement is available from your [{% data variables.product.prodname_sponsors %} dashboard](https://github.com/sponsors/accounts) (see steps below). Key points of the agreement include:

* Due to the way the service is set up, you'll receive payment from {% data variables.product.company_short %}, not from another company.
* If taxes are required to be withheld on payment made through this program, {% data variables.product.company_short %} will deduct taxes from the amount owed and pay them to the appropriate taxing authority.
* We'll share some aggregated data on your project(s) or projects you contribute to with the companies that pay for access to this data on a {% data variables.product.company_short %} dashboard. These data fields are outlined in Section 5 of the agreement.
* Data will be aggregated and will not include any User Personal Information (as defined in {% data variables.product.company_short %}’s [Privacy Statement](/free-pro-team@latest/github/site-policy/github-privacy-statement)), or any information from private repositories.
* You, as a Maintainer, can terminate the agreement with 14 days notice by contacting us.

If you agree to the terms outlined in the "GitHub Maintainer Additional Terms for Optional Data Provision" agreement, you will receive a payment from {% data variables.product.company_short %} each time a company purchases access to the service. The company purchases access to the dashboard from {% data variables.product.company_short %} for a limited amount of time (for example, one month or one year), and {% data variables.product.company_short %} purchases a license to your data to populate the dashboard. Your financial relationship is with {% data variables.product.company_short %}, not the company taking part in the service.

## Accepting the additional terms

You can view and accept the "GitHub Maintainer Additional Terms for Optional Data Provision" agreement from your [{% data variables.product.prodname_sponsors %} dashboard](https://github.com/sponsors/accounts). For information about joining the Sponsors for Companies service, see "[Paying for GitHub Sponsors by invoice](/sponsors/sponsoring-open-source-contributors/paying-for-github-sponsors-by-invoice)."

{% data reusables.sponsors.navigate-to-sponsors-dashboard %}
3. On the "Overview" tab, under "Optional steps", click **GitHub Maintainer Additional Terms for Optional Data Provision** to display the agreement.
4. When you have read the agreement, click **Accept** to accept the terms and join the Sponsors for Companies service. Alternatively, click the {% octicon "x" aria-label="The x octicon" %} in the top right corner of the dialog to close the agreement without accepting.
